Bug 129698 - Updates to the www/zend-framework Makefile
Summary: Updates to the www/zend-framework Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-17 00:10 UTC by Till Klampaeckel
Modified: 2008-12-19 15:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Till Klampaeckel 2008-12-17 00:10:01 UTC
Remove pcre from deps as it was moved to the lang/php5 and is (finally) included in the base php install. Furthermore, I added support for mysqli as there is support in Zend_Db for it and some people might want to take advantage of the faster Mysql driver in PHP.

Patch to the Makefile is included below.

Fix: 

NO_BUILD=      yes
-USE_PHP=       pcre spl
+USE_PHP=       spl
 WANT_PHP_WEB=  yes
 USE_GETTEXT=   yes

@@ -24,6 +24,7 @@ OPTIONS=      \
                EDOJO "Install embedded Dojo" On \
                PDOJO "Install Dojo from ports" Off \
                MYSQL "Install MySQL PDO support" Off \
+               MYSQLI "Install MySQLi support" Off \
                DBLIB "Install DBLIB PDO support" Off \
                PGSQL "Install PostgreSQL PDO support" Off \
                OCI "Install Oracle OCI 8 PDO support" Off \
@@ -78,6 +79,10 @@ USE_PHP+=    bcmath bitset json posix
 USE_PHP+=      pdo_mysql
 .endif

+.if defined(WITH_MYSQLI)
+USE_PHP+=      mysqli
+.endif
+
 .if defined(WITH_DBLIB)
 RUN_DEPENDS+=  ${LOCALBASE}/lib/php/${PHP_EXT_DIR}/pdo_dblib.so:${PORTSDIR}/databases/php5-pdo_dblib
 .endif--qQs6J4XQLZMwni3jHMNTT4jen7DtEci2vGQCSseBPABQzSy9
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile    2008-11-21 19:01:22.000000000 +0100
+++ Makefile.zf 2008-12-17 00:35:53.000000000 +0100
@@ -14,7 +14,7 @@ MAINTAINER=   glarkin@FreeBSD.org
 COMMENT=       A framework for developing PHP web applications
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2008-12-17 01:10:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

Over to maintainer.
Comment 2 dfilter service freebsd_committer 2008-12-19 15:30:27 UTC
glarkin     2008-12-19 15:30:18 UTC

  FreeBSD ports repository

  Modified files:
    www/zend-framework   Makefile 
  Log:
  - Removed php5-pcre dependency since it's part of the PHP base port now
  - Added MySQLi dependency configuration option
  - Bumped PORTREVISION
  
  PR:             ports/129698
  Submitted by:   Till Klampaeckel <till at php dot net>
  
  Revision  Changes    Path
  1.21      +7 -1      ports/www/zend-framework/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Greg Larkin freebsd_committer 2008-12-19 15:30:42 UTC
State Changed
From-To: open->closed

Committed with PORTREVISION bump, thanks!